.menu_btn .line {
  width: 28px;
  height: 2px;
  /* background-color: black; */
  background-color: white;
  transform-origin: left;
  transition: transform 0.5s ease, opacity 0.2s ease;
}

.menu_btn.open .middle_line {
  opacity: 0;
}

.menu_btn.open .top_line {
  transform: rotate(45deg);
}

.menu_btn.open .bottom_line {
  transform: rotate(-45deg);
}

/* //TODO :  NAVBAR RESPONSIVE  */

/* .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    padding: auto 2em;
    background-color: white;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
  } */

/* header {
  padding: 4px 2px !important;
} */

header::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
}

.icons {
  display: none;
  position: absolute;
  right: 5%;
}

/* #check {
    display: none;
  } */

@media (max-width: 1024px) {
  .icons {
    display: inline-block;
  }
  ul {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    overflow: hidden;
    /* background-color: aqua; */
    background-color: white;
    transition: 0.5s ease;
    display: block;
  }

  #check:checked ~ ul {
    height: 8rem;
  }

  ul li {
    transform: translateX(-50px);
    transition: 0.5s ease;
  }
  #check:checked ~ ul li {
    transform: translateX(0);
  }

  ul {
    display: block;
  }
  ul li .animation-hover::before {
    background-color: #e54246;
  }
}

/* TODO: LINK ANIMATION HOVER UL LI A  */
ul li .animation-hover {
  position: relative;
}
ul li .animation-hover::before {
  content: "";
  position: absolute;
  bottom: -5px;
  left: 0;
  width: 0%;
  height: 3px;
  background-color: white;
  transition: all 0.2s;
}

ul li .animation-hover:hover::before {
  width: 100%;
}

@keyframes pulse {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.04);
  }
  100% {
    transform: scale(1);
  }
}
.animated-content {
  animation: pulse 2s infinite;
}
